function [ad_cv5,ks_cv5] = normal_test(z)
% KS and Anderson-Darling tests

    z = z-mean(z);

	n = size(z,1);
    ii = (1:n)';
    ni = (n:-1:1)';

    z0 = randn(1000,1);

	z = sort(z,1);
	phi = normcdf(z);

	ad = -n-(1/n)*sum( (2.*ii-1).*(log(phi(ii,1)) + log(1-phi(ni,1))) );
    cv_ad = [3.857,2.492,1.61]';                                % AD test critical values, 1, 5, 10
    ad_cv5 = ad/cv_ad(3,1);

	edf = mean((ones(length(z0),1)*(z') < z0*ones(1,length(z))),2);
    ks = max(abs(edf-normcdf(z0)));
    cv_ks = ([1.36,1.22,1.07]./sqrt(n))';                       % KS test critical values, 1, 5, 10
    ks_cv5 = ks/cv_ks(3,1);
    %disp(cat(2,ad,ks));pause;
end