function [ e ] = pareto_gen(n,k,alpha )
% generates a sample drawn from a symmetric pareto distribution
% P(e < c) = 1 - 0.5 ( 1 + c ) ^( -k )

Y = rand(n,k);
e = zeros(n,k);
for i=1:k
    int = 2*round(rand(n,1))-1;
    e(:,i) = int .* ((2*(1 - Y(:,i))).^(-1/alpha));
end

end